How to find out if your Android device is compatible with Library2Go

There are many tablets and smartphones running the Android operating system. While Library2Go is compatible with current major Android devices, there are many varieties of tablets on the market, many running older versions of Android. To be able use your Android device with Library2Go, it has to be running a certain version of the Android software. Here is how to find out if your Android device is compatible with Library2Go.

Find out which version of Android your device is running

1. Get to the Settings menu on your device. This may be indicated by a gear icon in the top-right, or you may need to get to it by tapping the menu button and then Settings.

2. Under Settings there should be a heading that says something like "About Phone" or "About Device" or simply "Device" - tap on that.

3. Look for "Firmware Version" - this tells you the version of the Android software on your tablet.

See if your device is listed OverDrive's Device Resource Center

1. Visit OverDrive's Device Resource Center. This webpage will tell you if and how your device may be compatible.

2. Check the information for your device. The page will tell you how the device is compatible with Library2Go.

In the case of the Android tablet in this example, the website says it's compatible with the OverDrive app installed. If your device is not listed on this page, it may still be compatible. Keep reading to find the next steps.

Check to see what version of Android is required to run the OverDrive app on your device

1. Visit the OverDrive Media Console page to find out what version of Android is required to run the OverDrive app on your device.

2. Compare that to the version of Android on your device. If the version number of Android on your device is higher than the version number listed here, you can go ahead install the OverDrive app on your device.

Install the OverDrive app on your device

1. If your device has access to any of these app stores - Google Play, Amazon Appstore, or Nook Apps - you can search for OverDrive in the app store and download the app.

2. If you don't have access to an app store, visit this page on your device to install the app directly.

What if my device is running an older version of Android than is needed for the OverDrive app?

Here are some things to try if your device is running an older version of Android than what is required for the OverDrive app.

1. Visit the webpage for your device's manufacturer to see if a firmware update is available for your device.

2. Another option is to go to the Settings menu on your device, and then tap on a menu heading for Software or Software Update. See if there is an update available for your device.

3. After updating, see what version of Android you are now running. Depending on the version, you may now be able to install the OverDrive app.

See our guide with step-by-step instructions for using Library2Go on your Android device.